.glbar {
    display: flex;
    align-items: center;
}

.glbar__item {
    color: #141313;
    cursor: pointer;
    transition: color 200ms;
}

.glbar__svg--stroke {
    stroke: currentColor;
}

.glbar__svg--fill {
    fill: currentColor;
}

.glbar__item:hover {
    color: #07F;
}

.glbar__item + .glbar__item {
    margin: 0 0 0 35px;
}

.glbar__item--user {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    margin: 0 0 0 28px !important;
    background: rgba(244, 243, 243, 1);
    border-radius: 50%;
}

.glbar__userpic {
    width: 40px;
    height: 40px;
    border-radius: 50%;
}

.glbar__item--search {
    position: relative;
    visibility: hidden;
    opacity: 0;
    transition: opacity .2s, visibility .2s;
}

.glbar__item--search:not(.glbar__search--visible) {
    visibility: visible;
    opacity: 1;
}

.glbar__search {
    position: absolute;
    top: -10px;
    right: -12px;
    background: #fff;
    visibility: hidden;
    opacity: 0;
    transition: opacity .2s, visibility .2s;
}

.glbar__search::before {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 7px;
    display: block;
    width: 37px;
    background: url(./i/search.svg) center/auto no-repeat;
    content: '';
}

.glbar__search--visible {
    visibility: visible;
    opacity: 1;
}

.glbar__search .sect {
    margin: 0;
    padding: 15px;
}

.glbar__input {
    position: relative;
    width: 100%;
    height: 48px;
    padding: 0 44px 0 44px;
    font: 500 16px/48px "sf pro display";
    text-overflow: ellipsis;
    background: transparent;
    border: 2px solid rgba(244, 243, 243, 1);
    border-radius: 12px;
    transition: border-color .2s;
}

.glbar__input:focus {
    border-color: #eee;
}

.glbar__close {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    width: 48px;
    padding: 0;
    background: url(./i/close.svg) center/auto no-repeat;
    border: none;
    cursor: pointer;
    opacity: .6;
    transition: opacity .15s ease;
}

.glbar__close:hover {
    opacity: .8;
}

.glbar__close:active {
    opacity: 1;
}

